ICode9

精准搜索请尝试: 精确搜索
  • 安装VUE调试工具VUE-DEVTOOLS2022-04-23 13:00:06

    安装VUE调试工具VUE-DEVTOOLS(EDGE和CHROME亲测成功)   1、安装cypress切记必须首先安装cypress,否则极可能会安装失败。 cd vue-devtools npm install cypress --save-dev 2、安装 npm install 3、修改manifest.json文件进入项目根目录->shells->chrome文件夹下找到manifest.json,查

  • 解决 ERROR command failed: npm install --loglevel error --legacy-peer-deps_2022-04-22 20:03:45

    解决 ERROR command failed: npm install --loglevel error --legacy-peer-deps_ 我老菜了,解决方法均从网上搬运 2022年4月22日19:42:47: 删除在C:\Users{账户名}\下的.npmrc文件. 注意:不是nodejs安装目录npm模块下的那个npmrc文件

  • Vue前端打包报错2022-04-22 16:03:24

    一、Vue前端打包报错 1.1 UnhandledPromiseRejectionWarning: Error: ϵͳ�Ҳ���ָ����·���� DeprecationWarning: The 'parserOptions.ecmaFeatures.experimentalObjectRestSpread' option is deprecated. Use 'parserOptions.ecmaVersion' instead. (found in &quo

  • angularjs搭建项目步骤2022-04-22 09:35:44

    1、Angular2需要用到node.js 和 npm,需要先安装nodejs和npm2、查看node版本:node -v3、查看npm版本:npm -v4、安装cnpm:npm i -g cnpm5、查看cnpm 是否安装成功:cnpm version6、安装typescript:cnpm install -g typescript typings7、安装Angular-cli:cnpm i -g angular-cli8、查看是否

  • 安装nodejs 使用nvm来管理node版本2022-04-21 17:31:06

    一、 下载nvm安装包 1. 下载地址 github上下载最新版本:https://github.com/coreybutler/nvm-windows/releases  推荐下载第三个包:nvm-setup.zip    安装直接下一步就好了  安装完成 打开cmd 执行   nvm  出现这样就是成功了 由于nvm默认的下载地址http://nodejs.org/d

  • 在 CMD 命令行中添加环境变量2022-04-21 09:34:41

    0x00 前言说明 在某些场景中需要使用cmd手动添加环境变量。比如我现在的需求是添加C:\Users\Administrator\AppData\Roaming\npm,到环境变量path中。 0x01 解决方案 使用说明: 打开cmd 如何查看环境变量直接输入: set 如何查看 path,直接输入 : set path 添加环境变量: setx Path "%

  • mac--多版本node共存与切换使用2022-04-20 20:01:18

    在我们开发多个项目的时候,因为框架支持的node版本不同,所以要切换多个node版本 首先我们要使用npm安装一个模块 n 的全局 1、npm  install  -g  n 2、使用 n 加版本号就可以安装其他版本      n  6.6.0 成功会显示成这样 安装其他版本node   直接  n 后加版本号   3、

  • 初识TypeScript2022-04-20 01:04:03

    TypeScript是什么 TypeScript 是 JavaScript 的一个超集,支持 ECMAScript 6 标准。 由微软开发的自由和开源的编程语言。 设计目标是开发大型应用,它可以编译成纯 JavaScript,编译出来的 JavaScript 可以运行在任何浏览器上。 编译语法:> tsc esaybook.ts # esaybook.ts const mess

  • MarkDown项目结构生成树2022-04-20 00:31:07

    环境要求 Node.js(npm包管理工具) 安装Mddir 进入DOS命令界面 输入npm install mddir -g,进行安装mddir工具 生成项目结构步骤 进入DOS命令界面 进入我们指定生成的原文件夹 输入mddir命令,在该目录下将生成项目结构树

  • npm link2022-04-18 12:33:50

    前提 比如,我创建了个求和工具包npm-sum 在 npm-sum 文件夹中创建文件 index.js 并且编写一些代码, 如: const sum = (...args) => { return args.reduce((prev, next) => prev + next, 0); } module.exports = sum; 我们在另一个项目中引入使用 const sum = require('npm-sum')

  • Vue-CLI 项目搭建2022-04-18 12:03:55

    CLI CLI (@vue/cli) 是一个全局安装的 npm 包,提供了终端里的 vue 命令。它可以通过 vue create 快速搭建一个新项目,或者直接通过 vue serve 构建新想法的原型。你也可以通过 vue ui 通过一套图形化界面管理你的所有项目。 没有安装好cli脚手架的可以继续安装:

  • deepin 安装 nodejs npm2022-04-18 10:32:21

    Ubuntu apt 安装 nodejs #先安装Python的软件仓库支持sudo apt-get install -y python-software-properties software-properties-common #增加nodejs 的仓库配置 sudo add-apt-repository ppa:chris-lea/node.js #更新APT 仓库缓存 sudo apt-get update 安装Nodejs sudo apt-

  • tsc : 无法加载文件 C:\Users\user_data\AppData\Roaming\npm\tsc.ps1,因为在此系统上禁止运行脚本。2022-04-17 18:02:41

    刚安装上typescript后,写上测试程序,运行时会报如下错误   tsc : 无法加载文件 C:\Users\mokeke\AppData\Roaming\npm\tsc.ps1,因为在此系统上禁止运行脚本。有关详细信息,请参阅 https:/go.microsoft.com/fwlink/?LinkID=135170 中的 about_Execution_Policies。所在位置 行:1 字符

  • vue3引入elementUI 问题报错记录2022-04-17 14:31:05

    根据vue2引入elementUI官网教程 引入elementUI   npm i element-ui -S 安装 在main.js中引入 import ElementUI from 'element-ui' import 'element-ui/lib/theme-chalk/index.css'结果在控制台报错     原因vue3不支持elementUI 改为了Element Plus 重新重新 npm i element-

  • npm run build 打包Vue项目出现npm GET file:///C:/js/chunk-vendors.66795975.js net::ERR_FILE_NOT_FOUND2022-04-17 11:31:52

    1、检查你的打包的时候有没有文件过大的问题 例如:   超出大小了 2、我之前碰到一个没注意的,本地开发却没有任何报错情况的,就是:项目的vue.config.js文件中写了两个 module.exports , 把两个module.exports合并成一个  

  • npm 安装本地包、安装本地依赖2022-04-17 09:31:37

    原文地址:https://blog.csdn.net/yihanzhi/article/details/121268517   npm 安装本地包 # 本地依赖文件(相对路径) npm install ./my-test-npm # 本地依赖文件(相对路径) npm i ../../../my-test-npm # 本地依赖文件(绝对路径) npm i C:/Users/lee/Desktop/my-test-npm 注意: packag

  • (一)alement-ui安装和引用2022-04-17 04:00:25

    1:安装命令 yarn add element-ui --save 2:删除 yarn remove element-ui --save 安装如果出现下面问题: error Couldn't find package "fsevents@~2.3.2" required by "chokidar@^3.5.3" on the "npm" registry. 解决方法: 找到package.json,移除  "dependenc

  • mac下破解安装staruml软件步骤2022-04-16 22:33:18

    mac下破解安装staruml软件步骤 安装npm工具 http://nodejs.cn/download/上下载安装包下载即可,npm -v可以查看npm版本号 安装asar npm install -g asar 进入StartUML的resources文件路径 cd /Applications/StarUML.app/Contents/Resources/ 提取app文件夹 asar ex

  • dependencies 和 devDependencies 区别重新认识dependencies 和 devDependencies 区别重新认识2022-04-16 19:02:20

    在之前的认识中只知道,vue打包到生产的文件要放到dependencies中,而本地开发的,类似webpack这种就放到devDependencies中,但没有细想一个问题,就是平常生产上都是用了vue build后的文件,那放到这个dependencies中其实也就没有存在还要额外依赖包的问题,于是继续往下打,发现原来区别如下:

  • 实战:三2022-04-15 01:31:06

    Vue的声明周期函数 <div id="app"> {{msg}} </div> <script src="vue.min.js"></script> <script> new Vue({ el: '#app', data: { msg:'hello' }, cre

  • cnpm的简介与使用2022-04-15 01:03:03

    1.国内使用npm存在的问题 安装npm后,每次我们安装包时,我们的电脑都要和npm服务器进行对话,去npm仓库获取包。 因为npm的远程服务器在国外,所以有时候难免出现访问过慢,甚至无法访问的情况。 为了解决这个问题,我们有以下几个解决办法 2.使用淘宝的cpm代替npm 淘宝为我们搭建了一个国

  • npm更改镜像源2022-04-14 17:35:02

    (查看自己使用的哪个npm源) npm config get registry 安装arm(管理npm源) npm i nrm -g 查看npm源 nrm ls     切换npm源 nrm use taobao(镜像源) 其他正常使用 npm i (加载配置)

  • npm install中的--dev --save2022-04-14 17:03:16

    install 时  --save 简写 -S (或者 不写)  会在dependencies 中记录     --save-dev  简写 -D (前面-- 后面-)会在 devDependencies 中记录 开发过程中需要的 --save-dev 即可(:less); 如果是项目运行必须的文件,那么就使用 --save就好了;

  • node 安装和环境配置2022-04-14 08:33:34

    node下载安装 1.下载地址 https://nodejs.org/en/download/     2. 下载安装包后一路next 3. cmd 查看是否安装成功    4. 打开cmd升级npm npm install -g npm npm install -g cnpm 环境配置 1. 新建两个空文件夹     2.打开cmd窗口,执行以下两条命令 修改npm全局模块安装

  • http-server使用2022-04-13 22:35:09

    前端使用http-server启本地服务 ``` 简介: http-server是一个简单的零配置命令行http服务器。 它足够强大,足以用于生产用途, 但它既简单又易于破解,可用于测试,本地开发和学习 应用场景: 1、局域网访问静态页面 访问本地计算机中的文件都是基于file协议,如果要开放我们

专注分享技术,共同学习,共同进步。侵权联系[admin#icode9.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有